@charset "utf-8";

*,
::before,
::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Playpen Sans", serif;
}

body,
main {
  background-color: #E0C9A6 !important;
}

.header_area {
  background-color: #694B37;
  color: white;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
}

.navbar-brand img {
  position: absolute;
  top: 0;
  left: 0;
  width: 150px;
  height: auto;
}

.navbar-toggler {
  display: none;
  background-color: transparent;
  border: none;
  cursor: pointer;
}

.navbar-toggler-icon {
  width: 30px;
  height: 3px;
  background-color: #694B37;
  display: block;
  margin: 6px auto;
}

.navbar-collapse {
  display: flex;
  align-items: center;
}

ul {
  display: flex;
  list-style-type: none;
}

ul h1 {
  font-size: 2rem;
  margin-right: 20px;
}

.nav-item {
  margin: 0 10px;
}

.nav-link {
  text-decoration: none;
  color: rgb(255, 255, 255);
  font-size: 1.5rem;
}

li.nav-item:hover, .nav-link:hover {
  color: #66FF00;
}

.nav-link.active {
  color: #ffd700;
}

/* Icons */
.search-and-icons {
  display: flex;
  align-items: center;
}

.user-icons {
  display: flex;
  margin-right: 20px;
}

.user-icons div {
  margin-left: 15px;
}

.contact-info {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.contact-info p a {
  color: rgb(255, 255, 255);
  text-decoration: none;
}

.contact-info p a:hover {
  color: #ffd700;
}

@media (max-width: 768px) {
  .navbar-collapse {
    display: none;
    flex-direction: column;
    width: 100%;
    background-color: #343a40;
  }

  .navbar-collapse.active {
    display: flex;
  }

  ul {
    flex-direction: column;
    width: 100%;
    align-items: center;
  }

  .nav-item {
    margin: 10px 0;
  }

  .navbar-toggler {
    display: block;
  }
}


@media screen and (min-width: 1024px) {
  .navbar {
    letter-spacing: 0.1em;
  }

  .navbar .navbar-nav .nav-link {
    padding: 0.5em 1em;
  }

  .search-and-icons {
    width: 11%;
  }

  .search-and-icons form {
    flex: 1;
  }
}

@media screen and (min-width: 768px) {
  .navbar .navbar-brand img {
    max-width: 7em;
  }

  .navbar .navbar-collapse {
    display: flex;
    flex-direction: column-reverse;
    align-items: flex-end;
  }

  .search-and-icons {
    display: flex;
    align-items: center;
  }
}

.search-and-icons form input {
  border-radius: 0;
  height: 2em;
  background: #fff url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='grey' class='bi bi-search' viewBox='0 0 16 16'%3E%3Cpath d='M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z'/%3E%3C/svg%3E") no-repeat 95%;
}

.search-and-icons form input:focus {
  background: #fff;
  box-shadow: none;
}

.search-and-icons .user-icons div {
  padding-right: 1em;
}

.contact-info p,
.contact-info a {
  font-size: 0.9em;
  padding-right: 1em;
  color: grey;

  &:hover {
    color: #66FF00 !important;
  }
}

.contact-info a {
  padding-right: 0;
}

.navbar-nav .nav-link:hover,
.navbar-nav .nav-link span:hover {
  color: #66FF00 !important;
}

@view-transition {
  navigation: auto;
}

@keyframes fall-back {
  from {
    scale: 1;
  }

  to {
    scale: 0.8;
  }
}

@keyframes drop-out {
  from {
    transform: translateY(0);
    opacity: 1;
  }

  to {
    transform: translateY(100%);
    opacity: 0;
  }
}

@keyframes pop-in {
  from {
    transform: translateY(100%);
    opacity: 0;
  }

  to {
    transform: translateY(0);
    opacity: 1;
  }
}

@keyframes come-in {
  from {
    scale: 0.8;
  }

  to {
    scale: 1;
  }
}

::view-transition-old(root) {
  animation: 1s cubic-bezier(0.87, 0, 0.13, 1) both drop-out,
    0.4s cubic-bezier(0.87, 0, 0.13, 1) both fall-back;
}

::view-transition-new(root) {
  animation: 1s cubic-bezier(0.87, 0, 0.13, 1) both pop-in,
    1.4s cubic-bezier(0.87, 0, 0.13, 1) both come-in;
  animation-delay: 0.4s;
}

/* Pop Drop Animation End*/


/* navigation start  */
.container {
  display: flex;
  justify-content: space-between !important;
}


.header-container {
  position: relative;
  width: 100%;
  height: 400px;
  background-color: black;
  border: 10px solid black;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
}

.header-images {
  position: relative;
  width: 100%;
  height: 100%;
}

.header-image {
  position: absolute;
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: 0;
  animation: fadeZoom 25s infinite;
}

/* Animation for fading and zooming the images */
@keyframes fadeZoom {

  0%,
  100% {
    opacity: 0;
    transform: scale(1);
  }

  20%,
  80% {
    opacity: 1;
    transform: scale(1.1);
  }

  40%,
  60% {
    opacity: 0;
    transform: scale(1);
  }
}

.header-image:nth-child(1) {
  animation-delay: 0s;
}

.header-image:nth-child(2) {
  animation-delay: 5s;
}

.header-image:nth-child(3) {
  animation-delay: 10s;
}

.header-image:nth-child(4) {
  animation-delay: 15s;
}

.header-image:nth-child(5) {
  animation-delay: 20s;
}


/* Main */
.main {
  width: 90%;
  height: auto;
  margin: 20px auto;
}

/* Footer start again*/
.footer_area {
  background-color: #694b37;
  margin: 60px auto 0;
  padding: 30px;
  text-align: center;
  color: #fff;
}

.footer-images {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 20px;

}

.footer-image-left,
.footer-image-right {
  width: 100px;
  height: 100px;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

@keyframes bounce {
  0% {
    transform: translateY(0);
  }

  50% {
    transform: translateY(-40px);
  }

  100% {
    transform: translateY(0);
  }
}

.footer-image-left,
.footer-image-right {
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  transition: transform 0.3s ease;
  /* Ensure smooth transition */
}

.footer-image-left:hover,
.footer-image-right:hover {
  animation: bounce 0.6s ease-in-out infinite;
}

.footer-image-left {
  background-image: url('../image/redpanda.png');
}

.footer-image-right {
  background-image: url('../image/lion-header.png');
}


footer #follow-us {
  margin-bottom: 15px;
  text-align: center;
  margin-left: 24px;
}

.footer-text {
  flex: 1;
  text-align: center;
  color: #fff;
}

.nav_footer ul {
  display: flex;
  justify-content: center;
  margin-bottom: 15px;
}

.nav_footer ul li {
  list-style-type: none;
  margin: 0 15px;
  font-size: 14px;
  font-weight: bold;
}

.nav_footer ul li a {
  text-decoration: none;
  color: #fff;

  &:hover {
    text-shadow:
      2px 2px 4px rgba(0, 0, 0, 0.7),
      /* Black outline effect */
      -2px -2px 4px rgba(0, 0, 0, 0.7),
      2px -2px 4px rgba(0, 0, 0, 0.7),
      -2px 2px 4px rgba(0, 0, 0, 0.7);
  }
}

.footer-tel,
.footer-address,
.copyright {
  margin-top: 10px;
  font-size: 14px;
}

.footer-tel {
  font-weight: normal;
}

.footer-address {
  font-weight: bolder;
}

.copyright {
  font-weight: bolder;
  font-size: 12px;
}

.back {
  position: fixed;
  bottom: 0;
  right: 0;
  background-color: #005780;
  width: 50px;
  height: 50px;
}

.back img {
  width: 50%;
  height: 50%;
  margin: 5px 10px 0;
}

.back p {
  text-align: center;
  color: #fff;
  font-weight: bold;
  font-size: 10px;
  margin-bottom: 7px;
}

/*footer end*/

/* Social Media */
.social-media {
  display: flex;
  align-items: center;
  align-content: center;
  justify-content: center;
  gap: 20px;
  list-style: none;
}

.social-media li a {
  width: 50px;
  height: 50px;
  background-color: #66ff00;
  display: flex;
  overflow: hidden;
  align-items: center;
  align-content: center;
  justify-content: center;
  position: relative;
  z-index: 9;
  border: 1px solid #5b9d15;
}

.social-media li a svg {
  width: 24px;
  height: 24px;
  -o-object-fit: contain;
  object-fit: contain;
  filter: invert(100%) sepia(0%) saturate(7455%) hue-rotate(57deg) brightness(108%) contrast(105%);
}

.social-media li a::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-clip-path: polygon(0 0, 100% 0, 0 0, 0 100%);
  clip-path: polygon(0 0, 100% 0, 0 0, 0 100%);
  background-color: #fff;
  z-index: -1;
  top: 0;
  left: 0;
  opacity: 0;
}

.social-media li a:hover::after {
  animation: sideClip 0.5s linear;
  -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  opacity: 1;
}

.social-media li a:hover svg {
  animation: fadeInLeft 0.3s linear both;
  filter: invert(52%) sepia(85%) saturate(2286%) hue-rotate(54deg) brightness(92%) contrast(84%);
}

@keyframes sideClip {
  0% {
    clip-path: polygon(0 0, 100% 0, 0 0, 0 100%);
  }

  50% {
    clip-path: polygon(0 0, 100% 0, 0 100%, 0 100%);
  }

  100% {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
}

@keyframes fadeInLeft {
  from {
    opacity: 0;
    transform: translate3d(-100%, 0, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}


@media(max-width: 764px) {
  .footer-images {
    flex-direction: column;
    align-items: center;
  }

  .footer-image-left,
  .footer-image-right {
    width: 80px;
    height: 80px;
  }

  .footer-text {
    text-align: center;
    margin-top: 20px;
  }

  .nav_footer ul {
    flex-direction: column;
    align-items: center;
  }

  .nav_footer ul li {
    margin: 5px 0;
  }
}